> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact Method



## OpenAPI

````yaml POST /api/v1/members/contact-methods
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/members/contact-methods:
    post:
      tags:
        - members
      summary: Add a contact method for the current member
      operationId: MemberContactMethodController_create_v1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMemberContactMethodDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateMemberContactMethodDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - email
            - sms
            - whatsapp
            - slack
            - discord
            - telegram
            - teams
            - webhook
        config:
          type: object
        isEnabled:
          type: boolean
      required:
        - type
        - config
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````